> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Stage Action

> Update the given fields on an existing pipeline stage action.



## OpenAPI

````yaml put /opportunity/pipeline/{pipeline_id}/stage/{stage_id}/action/{action_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/pipeline/{pipeline_id}/stage/{stage_id}/action/{action_id}:
    put:
      tags:
        - Pipelines
      summary: Update Stage Action
      description: Update the given fields on an existing pipeline stage action.
      operationId: >-
        update_stage_action_opportunity_pipeline__pipeline_id__stage__stage_id__action__action_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            title: Pipeline Id
        - name: stage_id
          in: path
          required: true
          schema:
            type: string
            title: Stage Id
        - name: action_id
          in: path
          required: true
          schema:
            type: string
            title: Action Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PipelineStageActionUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PipelineStageActionSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PipelineStageActionUpdate:
      properties:
        actionType:
          anyOf:
            - $ref: '#/components/schemas/PipelineActionType'
            - type: 'null'
        delayMinutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Delayminutes
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        isActive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isactive
      type: object
      title: PipelineStageActionUpdate
    PipelineStageActionSummary:
      properties:
        id:
          type: string
          title: Id
        stageId:
          type: string
          title: Stageid
        actionType:
          $ref: '#/components/schemas/PipelineActionType'
        actionOrder:
          type: integer
          title: Actionorder
        delayMinutes:
          type: integer
          title: Delayminutes
          default: 0
        config:
          additionalProperties: true
          type: object
          title: Config
        isActive:
          type: boolean
          title: Isactive
          default: true
      type: object
      required:
        - id
        - stageId
        - actionType
        - actionOrder
      title: PipelineStageActionSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PipelineActionType:
      type: string
      enum:
        - CREATE_TASK
        - SEND_SMS
        - SEND_EMAIL
        - START_SEQUENCE
        - ASSIGN_PROVIDER
        - WEBHOOK
        - UPDATE_FIELD
      title: PipelineActionType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````